MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000401VCMIGUI - Adventure Mappublic2010-03-02 09:242015-11-29 09:55
ReporterZamolxis 
Assigned ToSXX 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.8 
Target VersionFixed in Version0.98f 
Summary0000401: The "(digging ok)" text should accompany all terrain type info windows
DescriptionI was waiting to report this until the Grail implementation, but I realize now there's a fat chance they are not really related (technically). If I'm not mistaken, we never have in H3 the case that R-click just says "Grass" for example. It's either "Grass (digging ok)", or else just names the 'object' which is actually on that tile (can be Hole if the case, or anything else: Crater, Oak Trees etc). So I guess this should be an easy fix, as it doesn't depend on the Grail-related parts of the code.
Additional InformationThe only detail to have perhaps in mind when implementing this, is that "(digging ok)" should be on the second line. As the info boxes don't always have the same H3 size, I'm thinking we should not end up with the text on 1 line. Or worse, to have only "ok)" on the second line: :)



"Dirt (digging

ok)"



EDIT: After writing this I saw we actually have already an issue with how this extra info is handled. See report 0000402.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000402assignedIvan The extra info (between brackets) for any item on the map should be on a second line in the info window 
related to 0002341new Digging status: we shouldn't expose invisible objects like placed events 

-  Notes
(0006135)
SXX (administrator)
2015-11-29 09:42
edited on: 2015-11-29 09:43

Fixed:
https://github.com/vcmi/vcmi/commit/f55bfe41d6a2a538308d9e2656660a131377e7c9 [^]

Though digging need a bit more refactoring.


- Issue History
Date Modified Username Field Change
2010-03-02 09:24 Zamolxis New Issue
2010-03-02 09:30 Zamolxis Description Updated View Revisions
2010-03-02 09:30 Zamolxis Additional Information Updated View Revisions
2010-03-02 09:31 Zamolxis Additional Information Updated View Revisions
2010-03-02 09:48 Zamolxis Additional Information Updated View Revisions
2012-07-10 12:00 Ivan Assigned To => Ivan
2012-07-10 12:00 Ivan Status new => assigned
2015-11-29 09:42 SXX Note Added: 0006135
2015-11-29 09:42 SXX Status assigned => resolved
2015-11-29 09:42 SXX Fixed in Version => 0.98f
2015-11-29 09:42 SXX Resolution open => fixed
2015-11-29 09:42 SXX Assigned To Ivan => SXX
2015-11-29 09:43 SXX Note Edited: 0006135 View Revisions
2015-11-29 09:43 SXX Relationship added related to 0000402
2015-11-29 09:55 SXX Relationship added related to 0002341

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean